#!/bin/bash
#
# Prestart script to prepare system for TSM
#
# When running TSM with SELinux, some directories needs to
# exist before TSM is started. This script is executed by
# systemd using ExecStartPre.

for i in /var/log/tsm /etc/adsm; do
    if [ ! -d $i ]; then
        /bin/mkdir -Z $i
    fi
done
